Перейти к содержанию
vitbm1

После обновления Хостинг-Провайдером PHP до 7.1 слетел модуль Simple

Рекомендуемые сообщения

Здравствуйте!

 

Интернет-магазин на OpenCart 2.1.0.1

 

Приобрел модуль Simple 21.10.2016, Заказ №: 550762.

Настроил и всё работало как часы.

После обновления Хостинг-Провайдером PHP до 7.1 слетел модуль Simple - вообще нет в списке модулей и при оформлении покупки выдает такое сообщение:

Fatal error: The file /home/vitbm1976/vlavitastore.ru/system/library/simple/simple.php was encoded by the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1 or later. Please ask the provider of the script to provide a version encoded with the ionCube Encoder for PHP 7.1. in Unknown on line 0

 

Подскажите пожалуйста - как восстановить работу модуля?

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
3 минуты назад, vitbm1 сказал:

Здравствуйте!

 

Интернет-магазин на OpenCart 2.1.0.1

 

Приобрел модуль Simple 21.10.2016, Заказ №: 550762.

Настроил и всё работало как часы.

После обновления Хостинг-Провайдером PHP до 7.1 слетел модуль Simple - вообще нет в списке модулей и при оформлении покупки выдает такое сообщение:

Fatal error: The file /home/vitbm1976/vlavitastore.ru/system/library/simple/simple.php was encoded by the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1 or later. Please ask the provider of the script to provide a version encoded with the ionCube Encoder for PHP 7.1. in Unknown on line 0

 

Подскажите пожалуйста - как восстановить работу модуля?

 

Найдите ветку техподдержки модуля Simple и напишите туда, автор вам поможет.

 

От себя могу посоветовать снизить версию php до 5.6.

Не можете сами - напишите хостеру в техподдержку, снизят вам :-) 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

В simple есть директория специальная для php7 залейте ее и все обратно будет работать как часы

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

У модуля Simple есть отдельный дистрибутив для php 7.

 

Пока писал, уже и ответ был...

Изменено пользователем SiteMix

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
2 часа назад, gregoro сказал:

Найдите ветку техподдержки модуля Simple и напишите туда, автор вам поможет.

 

От себя могу посоветовать снизить версию php до 5.6.

Не можете сами - напишите хостеру в техподдержку, снизят вам  

а че там не так в 7.1?
@SiteMix @magzhan9292 лучше пусть к автору обратиться
вдруг варез.
Вообще всех отправляйте к авторам

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
30 минут назад, AWARO сказал:

а че там не так в 7.1?

Не все модули под 7.1 заводятся.

Даже не все популярные с этого форума насколько я знаю.

Я вот даже не дергаюсь пока, т.к. в магазе накручено много всего, боязно в это закапываться.

 

Если неправ - поправьте, буду признателен :-) 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Всё сделал как Вы посоветовали - всё заработало. Всем огромное Спасибо.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
1 час назад, gregoro сказал:

Не все модули под 7.1 заводятся.

Даже не все популярные с этого форума насколько я знаю.

Я вот даже не дергаюсь пока, т.к. в магазе накручено много всего, боязно в это закапываться.

 

Если неправ - поправьте, буду признателен  

есть такое.. но вроде ша и под 7.2 уже все основные модули переведены.
а так да, разрабы леньтяи

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.